Mediawiki-Apache
================

This is a Docker image running Apache serving Mediawiki 1.26. It does not contain any databases; those should be run in a seperate container.

First, deploy a database container, [like this one by Tutum](https://registry.hub.docker.com/u/tutum/mariadb/):

```
docker run -d --name mariadb tutum/mariadb
```

You will likely want to make the database persistent, in this case done by adding:

```
docker run -d -v /path/on/host:/var/lib/mysql --name mariadb tutum/mariadb
```

Now you can deploy this container by running:

```
docker run -d -p 80:80 -v /path/on/host:/var/lib/mediawiki --link mariadb:mariadb iohannesarnold/mediawiki-apache
```

Where the ```-v``` flag is only necessary if you're interested in preserving files. Also, the ```link``` flag should reflect the name you gave your database container above.
Mediawiki should now be available on port 80 of the host server, and it will ask you to run configuration. The ```LocalSettings.php``` that results should be placed in the linked host directory created in the last step.
Congratulations! You now should have a working Mediawiki installation. Any updated version of this image should be able to be deployed over the same host directory for fast upgrades.
